summaryrefslogtreecommitdiffstats
path: root/.travis/linux/docker.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/linux/docker.sh')
-rwxr-xr-x.travis/linux/docker.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/.travis/linux/docker.sh b/.travis/linux/docker.sh
index f4791171e..376ad28dd 100755
--- a/.travis/linux/docker.sh
+++ b/.travis/linux/docker.sh
@@ -1,12 +1,18 @@
#!/bin/bash -ex
apt-get update
-apt-get install --no-install-recommends -y build-essential git libqt5opengl5-dev libsdl2-dev libssl-dev python qtbase5-dev wget cmake ninja-build
+apt-get install --no-install-recommends -y build-essential git libqt5opengl5-dev libsdl2-dev libssl-dev python qtbase5-dev wget cmake ninja-build ccache
cd /yuzu
+export PATH=/usr/lib/ccache:$PATH
+ln -sf /usr/bin/ccache /usr/lib/ccache/cc
+ln -sf /usr/bin/ccache /usr/lib/ccache/c++
mkdir build && cd build
+ccache --show-stats > ccache_before
cmake .. -DYUZU_BUILD_UNICORN=ON -DCMAKE_BUILD_TYPE=Release -G Ninja
ninja
+ccache --show-stats > ccache_after
+diff -U100 ccache_before ccache_after || true
ctest -VV -C Release